Bug 1436445 - Segfault with ssl with 6.10.1 el7
Summary: Segfault with ssl with 6.10.1 el7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nodejs
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 23:24 UTC by Tom Atkinson
Modified: 2017-04-05 23:18 UTC (History)
8 users (show)

Fixed In Version: nodejs-6.10.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-05 23:18:10 UTC
Type: Bug


Attachments (Terms of Use)
Revert of upstream commit 4849d03145 (1.05 KB, patch)
2017-03-31 21:27 UTC, Tom Atkinson
no flags Details | Diff

Description Tom Atkinson 2017-03-27 23:24:47 UTC
Description of problem:

Nodejs segfaults on subsequent https requests

Version-Release number of selected component (if applicable):

6.10.1 on el7.

How reproducible:

All the time

Steps to Reproduce:

var https = require('https');
https.get('https://google.com/');
https.get('https://google.com/');


Actual results:

Segfault

Expected results:

Clean exit

Additional info:

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff447238c in free () from /lib64/libc.so.6
(gdb) bt
#0  0x00007ffff447238c in free () from /lib64/libc.so.6
#1  0x00007ffff761f7ad in CRYPTO_free () from /lib64/libcrypto.so.10
#2  0x00007ffff769a427 in sk_free () from /lib64/libcrypto.so.10
#3  0x00007ffff76d8514 in X509_STORE_free () from /lib64/libcrypto.so.10
#4  0x00007ffff738b89a in SSL_CTX_free () from /lib64/libssl.so.10
#5  0x0000000000e52f54 in node::crypto::SecureContext::Close(v8::FunctionCallbackInfo<v8::Value> const&) ()
#6  0x000000000072e334 in v8::internal::FunctionCallbackArguments::Call(void (*)(v8::FunctionCallbackInfo<v8::Value> const&)) ()
#7  0x0000000000773f9b in v8::internal::(anonymous namespace)::HandleApiCallHelper(v8::internal::Isolate*, v8::internal::(anonymous namespace)::BuiltinArguments<(v8::internal::BuiltinExtraArguments)3>) ()
#8  0x000000000077478e in v8::internal::Builtin_Impl_HandleApiCall(v8::internal::(anonymous namespace)::BuiltinArguments<(v8::internal::BuiltinExtraArguments)3>, v8::internal::Isolate*) ()
#9  0x000000000078212e in v8::internal::Builtin_HandleApiCall(int, v8::internal::Object**, v8::internal::Isolate*) ()

Comment 1 Tom Atkinson 2017-03-31 21:27:36 UTC
Created attachment 1267986 [details]
Revert of upstream commit 4849d03145

https://github.com/nodejs/node/commit/4849d03145

Comment 2 Stephen Gallagher 2017-04-03 17:44:11 UTC
OK, the patch looks reasonable and I've tested it to see that it resolves the segmentation fault. I've got a build running and I'll update the Bodhi errata once it completes. Thanks for the bug report!

Comment 3 Fedora Update System 2017-04-03 18:51:05 UTC
nodejs-6.10.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9d4f011d75

Comment 4 Fedora Update System 2017-04-04 21:22:36 UTC
nodejs-6.10.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9d4f011d75

Comment 5 Fedora Update System 2017-04-05 23:18:10 UTC
nodejs-6.10.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.